#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

#include <gtk/gtk.h>
#include <gdk/gdkx.h>
#include <gdk/gdkprivate.h>
#include <gdk/gdkkeysyms.h>


extern void plug_menubar(unsigned long int xid);

gint main (gint argc, gchar *argv[])
{
  char *c_argv[3] = { "./test_child", NULL, NULL };
  char buffer[20];
  int out_fd;
  GError *error = NULL;

  GtkWidget  *vbox, *socket_button,*button,*window; 

  gtk_init(&argc, &argv);

  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title (GTK_WINDOW (window), "Test");
  gtk_window_set_wmclass (GTK_WINDOW (window), "test", "test");

  /* create vbox */
  vbox = gtk_vbox_new (FALSE, 0);
  gtk_box_set_spacing (GTK_BOX (vbox), 2);
  gtk_container_set_border_width (GTK_CONTAINER (vbox), 2);
  gtk_container_add (GTK_CONTAINER (window), vbox);

  socket_button = gtk_socket_new();
  gtk_box_pack_start(GTK_BOX(vbox), socket_button,FALSE,TRUE,0);

  button = gtk_button_new_with_label("Middle box button ");
  gtk_box_pack_start(GTK_BOX(vbox), button,FALSE,TRUE,0);

  /* show them all! */
  gtk_widget_show_all(window);

  if ( argc == 1 ) 
    {
      fprintf(stderr, "local\n");
      plug_menubar(GDK_WINDOW_XWINDOW(socket_button->window));
    }
  else 
    {
      sprintf(buffer, "%lu", (gulong) gtk_socket_get_id (GTK_SOCKET (socket_button)));
      c_argv[1] = buffer;
      if (!g_spawn_async_with_pipes (NULL, c_argv, NULL, 0, NULL, NULL, NULL, NULL, &out_fd, NULL, &error))
	{
	  fprintf (stderr, "Can't exec testsocket_child: %s\n", error->message);
	  exit (1);
	}
    }

  gtk_main ();
  gtk_exit(0);
  return 0; 
}




